
#ifndef check_h__
#define check_h__

#include <string>
#include <unordered_map>

using namespace std;

extern unordered_map<string, string> parameters;

bool checkVersion();

string getUserCode();
string getUserName();

void   setUserCode( const string & cstrUserCode );
void   setUserName( const string & cstrUserName );

string getVersion();

#endif // check_h__